add local config in folder spool

This commit is contained in:
Kasper D. Fischer 2024-08-26 17:56:40 +02:00
parent 81897cf285
commit a4f6456292
161 changed files with 3343 additions and 0 deletions

View File

@ -0,0 +1 @@
geophysik

View File

@ -0,0 +1,56 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
conf_name global
conf_version 43
execd_spool_dir /data/gridengine/spool
mailer /usr/bin/mail
xterm /usr/bin/xterm
load_sensor /data/gridengine/flex-grid/site/qloadsensor
prolog NONE
epilog NONE
shell_start_mode posix_compliant
login_shells sh,bash,ksh,csh,tcsh
min_uid 1000
min_gid 1000
user_lists none
xuser_lists none
projects none
xprojects none
enforce_project false
enforce_user auto
load_report_time 00:00:40
max_unheard 00:05:00
reschedule_unknown 00:00:00
loglevel log_warning
administrator_mail kasper.fischer@ruhr-uni-bochum.de
set_token_cmd none
pag_cmd none
token_extend_time none
shepherd_cmd none
qmaster_params none
execd_params ENABLE_BINDING=true NOTIFY_KILL=SIGTERM ENABLE_ADDGRP_KILL=true H_MEMORYLOCKED=infinity
reporting_params accounting=true reporting=false flush_time=00:00:15 joblog=false sharelog=00:00:00
finished_jobs 100
gid_range 20000-20999
qlogin_command /data/gridengine/local/scripts/qlogin_wrapper
qlogin_daemon /usr/sbin/sshd -i
rlogin_command /usr/bin/ssh -XAtq
rlogin_daemon /usr/sbin/sshd -i
rsh_command /usr/bin/ssh -XAtq
rsh_daemon /usr/sbin/sshd -i
max_aj_instances 2000
max_aj_tasks 75000
max_u_jobs 0
max_jobs 0
max_advance_reservations 20
auto_user_oticket 100
auto_user_fshare 100
auto_user_default_project none
auto_user_delete_time infinity
delegated_file_staging false
reprioritize 0
jsv_url none
jsv_allowed_mod ac,h,i,e,o,j,M,N,p,w

66
spool/common/qtask Normal file
View File

@ -0,0 +1,66 @@
#
#___INFO__MARK_BEGIN__
##########################################################################
#
# The Contents of this file are made available subject to the terms of
# the Sun Industry Standards Source License Version 1.2
#
# Sun Microsystems Inc., March, 2001
#
#
# Sun Industry Standards Source License Version 1.2
# =================================================
# The contents of this file are subject to the Sun Industry Standards
# Source License Version 1.2 (the "License"); You may not use this file
# except in compliance with the License. You may obtain a copy of the
# License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
#
# Software provided under this License is provided on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
# WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
# MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
# See the License for the specific provisions governing your rights and
# obligations concerning the Software.
#
# The Initial Developer of the Original Code is: Sun Microsystems, Inc.
#
# Copyright: 2001 by Sun Microsystems, Inc.
#
# All Rights Reserved.
#
##########################################################################
#___INFO__MARK_END__
#
# This file contains cell wide defaults which commands are
# to be queued from within a qtcsh session.
#
# See qtask(5) for a detailed description of the file format.
#
#
#
# Sample #1 redirects certain file io intensive commands
# to the fileserver machine.
#
#cat -l file_srv=true -cwd
#grep -l file_srv=true -cwd
#egrep -l file_srv=true -cwd
#
#
#
# Sample #2 redirects certain GUI applications to one of
# the machines being configured as application
# server. The prefixed exclamation mark prevents
# overriding of the default redirection for the
# netscape command.
#
#!netscape -l appl_srv=true -cwd -v DISPLAY
#soffice -l appl_srv=true -cwd -v DISPLAY
#
abaqus -v PATH -v SGE\* -l cae=1 -cwd -now y -N abaqus
matlab -v PATH -v SGE\* -l matlab=1 -cwd -now y -N matlab
pilot -v PATH -v SGE\* -cwd -now y -N pilot
#comsol -l multiphysics=1 -cwd
#femlab -l multiphysics=1 -cwd
#multiphysics -l multiphysics=1 -cwd

View File

@ -0,0 +1,40 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
algorithm default
schedule_interval 0:0:05
maxujobs 0
queue_sort_method 1
job_load_adjustments np_load_avg=0.75
load_adjustment_decay_time 00:20:00
load_formula np_load_avg
schedd_job_info true
flush_submit_sec 0
flush_finish_sec 0
params none
reprioritize_interval 0:0:0
halftime 168
usage_weight_list cpu=1.000000 mem=0.000000 io=0.000000
compensation_factor 5.000000
weight_user 0.250000
weight_project 0.250000
weight_department 0.250000
weight_job 0.250000
weight_tickets_functional 10000
weight_tickets_share 10000
weight_tickets_override 400
share_override_tickets TRUE
share_functional_shares TRUE
max_functional_jobs_to_schedule 200
report_pjob_tickets TRUE
max_pending_tasks_per_job 50
halflife_decay_list none
policy_hierarchy OFS
weight_ticket 0.010000
weight_waiting_time 0.000000
weight_deadline 3600000.000000
weight_urgency 0.100000
weight_priority 10.000000
max_reservation 20
default_duration 259200

44
spool/common/settings.csh Normal file
View File

@ -0,0 +1,44 @@
setenv SGE_ROOT /var/lib/gridengine
if ( -x $SGE_ROOT/util/arch ) then
setenv SGE_ARCH `$SGE_ROOT/util/arch`
set DEFAULTMANPATH = `$SGE_ROOT/util/arch -m`
set MANTYPE = `$SGE_ROOT/util/arch -mt`
setenv SGE_CELL default
setenv SGE_CLUSTER_NAME geophysik
unsetenv SGE_QMASTER_PORT
unsetenv SGE_EXECD_PORT
setenv DRMAA_LIBRARY_PATH /var/lib/gridengine/lib//libdrmaa.so
# library path setting required only for architectures where RUNPATH is not supported
if ( -d $SGE_ROOT/$MANTYPE ) then
if ( $?MANPATH == 1 ) then
setenv MANPATH $SGE_ROOT/${MANTYPE}:$MANPATH
else
setenv MANPATH $SGE_ROOT/${MANTYPE}:$DEFAULTMANPATH
endif
endif
set path = ( $SGE_ROOT/bin $SGE_ROOT/bin/$SGE_ARCH $path )
if ( -d $SGE_ROOT/lib/$SGE_ARCH ) then
switch ($SGE_ARCH)
case "sol*":
case "lx*":
case "hp11-64":
breaksw
case "*":
set shlib_path_name = `$SGE_ROOT/util/arch -lib`
if ( `eval echo '$?'$shlib_path_name` ) then
set old_value = `eval echo '$'$shlib_path_name`
setenv $shlib_path_name "$SGE_ROOT/lib/$SGE_ARCH":"$old_value"
else
setenv $shlib_path_name $SGE_ROOT/lib/$SGE_ARCH
endif
unset shlib_path_name old_value
endsw
endif
unset DEFAULTMANPATH MANTYPE
else
unsetenv SGE_ROOT
endif

43
spool/common/settings.sh Normal file
View File

@ -0,0 +1,43 @@
SGE_ROOT=/opt/SGE; export SGE_ROOT
if [ -x $SGE_ROOT/util/arch ]; then
SGE_ARCH=`$SGE_ROOT/util/arch`; export SGE_ARCH
DEFAULTMANPATH=`$SGE_ROOT/util/arch -m`
MANTYPE=`$SGE_ROOT/util/arch -mt`
DRMAA_LIBRARY_PATH=/opt/SGE/lib//libdrmaa.so
SGE_CELL=default; export SGE_CELL
SGE_CLUSTER_NAME=geophysik; export SGE_CLUSTER_NAME
unset SGE_QMASTER_PORT
unset SGE_EXECD_PORT
if [ -d "$SGE_ROOT/$MANTYPE" ]; then
if [ "$MANPATH" = "" ]; then
MANPATH=$DEFAULTMANPATH
fi
MANPATH=$SGE_ROOT/$MANTYPE:$MANPATH; export MANPATH
fi
PATH=$SGE_ROOT/bin:$SGE_ROOT/bin/$SGE_ARCH:$PATH; export PATH
# library path setting required only for architectures where RUNPATH is not supported
if [ -d $SGE_ROOT/lib/$SGE_ARCH ]; then
case $SGE_ARCH in
sol*|lx*|hp11-64)
;;
*)
shlib_path_name=`$SGE_ROOT/util/arch -lib`
old_value=`eval echo '$'$shlib_path_name`
if [ x$old_value = x ]; then
eval $shlib_path_name=$SGE_ROOT/lib/$SGE_ARCH
else
eval $shlib_path_name=$SGE_ROOT/lib/$SGE_ARCH:$old_value
fi
export $shlib_path_name
unset shlib_path_name old_value
;;
esac
fi
unset DEFAULTMANPATH MANTYPE
else
unset SGE_ROOT
fi

19
spool/common/sge.module Normal file
View File

@ -0,0 +1,19 @@
#%Module1.0 -*-tcl-*-
proc ModulesHelp { } {
puts stderr "\tSets up the Grid Engine batch system"
}
module-whatis "Grid Engine batch system"
set sge_root "/opt/SGE"
set sge_cell "default"
set sge_arch "lx-amd64"
setenv SGE_ROOT "$sge_root"
setenv SGE_CELL "$sge_cell"
setenv SGE_CLUSTER_NAME "geophysik"
setenv DRMAA_LIBRARY_PATH "$sge_root/lib/$sge_arch/libdrmaa.so"
prepend-path PATH "$sge_root/bin/$sge_arch"
prepend-path PATH "$sge_root/bin"
prepend-path MANPATH "$sge_root/man"

40
spool/common/sge_aliases Normal file
View File

@ -0,0 +1,40 @@
#___INFO__MARK_BEGIN__
##########################################################################
#
# The Contents of this file are made available subject to the terms of
# the Sun Industry Standards Source License Version 1.2
#
# Sun Microsystems Inc., March, 2001
#
#
# Sun Industry Standards Source License Version 1.2
# =================================================
# The contents of this file are subject to the Sun Industry Standards
# Source License Version 1.2 (the "License"); You may not use this file
# except in compliance with the License. You may obtain a copy of the
# License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
#
# Software provided under this License is provided on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
# WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
# MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
# See the License for the specific provisions governing your rights and
# obligations concerning the Software.
#
# The Initial Developer of the Original Code is: Sun Microsystems, Inc.
#
# Copyright: 2001 by Sun Microsystems, Inc.
#
# All Rights Reserved.
#
##########################################################################
#___INFO__MARK_END__
#
# Template Grid Engine path aliasing configuration file
#
# The following entry aliases physical address as generated by automounter
# (with a leading /tmp_mnt) to the logical path (w/o leading /tmp_mnt).
#
# subm_dir subm_host exec_host path_replacement
/tmp_mnt/ * * /
/private/var/automount/ * * /

68
spool/common/sge_request Normal file
View File

@ -0,0 +1,68 @@
#
#
# This file contains cell wide default submit options which are
# automatically applied to all job submission requests. Users can get rid of
# these defaults by using the -clear option.
#
# See sge_request(5) for a detailed description of the file format.
#
#___INFO__MARK_BEGIN__
##########################################################################
#
# The Contents of this file are made available subject to the terms of
# the Sun Industry Standards Source License Version 1.2
#
# Sun Microsystems Inc., March, 2001
#
#
# Sun Industry Standards Source License Version 1.2
# =================================================
# The contents of this file are subject to the Sun Industry Standards
# Source License Version 1.2 (the "License"); You may not use this file
# except in compliance with the License. You may obtain a copy of the
# License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
#
# Software provided under this License is provided on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
# WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
# MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
# See the License for the specific provisions governing your rights and
# obligations concerning the Software.
#
# The Initial Developer of the Original Code is: Sun Microsystems, Inc.
#
# Copyright: 2001 by Sun Microsystems, Inc.
#
# All Rights Reserved.
#
##########################################################################
#___INFO__MARK_END__
#
# Sample #1 prevents job submissions of jobs which can
# never be scheduled.
#
# -w e
#
#
# Sample #2 causes the jobs standard error stream to be merged
# into the standard outout stream.
#
# -j y
#
#
# Sample #3 assigns a low default submit priority. For higher
# prior jobs the priority can be increased at jobs submission
# time by uing "-p <higher_priority>". The value of
# <higher_priority> may not exeed 0 because priorities above
# this value can only be set by managers.
#
# Please notice that in GRD submission priorities have a
# different meaning.
#
-p -100
#
-l mem=3G,h_vmem=3G,h_stack=8M,scf=200M
# -jsv /opt/SGE/local/jsv/maintenance.jsv

464
spool/common/sgeexecd Executable file
View File

@ -0,0 +1,464 @@
#!/bin/sh
#
#
# SGE startup script
#
#___INFO__MARK_BEGIN__
##########################################################################
#
# The Contents of this file are made available subject to the terms of
# the Sun Industry Standards Source License Version 1.2
#
# Sun Microsystems Inc., March, 2001
#
#
# Sun Industry Standards Source License Version 1.2
# =================================================
# The contents of this file are subject to the Sun Industry Standards
# Source License Version 1.2 (the "License"); You may not use this file
# except in compliance with the License. You may obtain a copy of the
# License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
#
# Software provided under this License is provided on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
# WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
# MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
# See the License for the specific provisions governing your rights and
# obligations concerning the Software.
#
# The Initial Developer of the Original Code is: Sun Microsystems, Inc.
#
# Copyright: 2001 by Sun Microsystems, Inc.
#
# All Rights Reserved.
#
##########################################################################
#___INFO__MARK_END__
#
# This script can be called with the following arguments:
#
# start start execution daemon
# stop Terminates the execution daemon
# and the shepherd. This only works if the execution daemon
# spool directory is in the default location.
# softstop do not kill the shepherd process
# restart equivalent to softstop followed by start
# status check if execd running
#
# Unix commands which may be used in this script:
# cat cut tr ls grep awk sed basename
#
# This script requires the script $SGE_ROOT/util/arch
# Customization can be placed in /etc/default/sgeexecd or
# /etc/sysconfig/sgeexecd (according to OS conventions), which is sourced
# after other setup.
PATH=/bin:/usr/bin:/sbin:/usr/sbin
#---------------------------------------------------------------------------
# The following lines provide the necessary info for adding a startup script
# according to the Linux Standard Base Specification (LSB) which can
# be found at:
#
# http://www.linuxfoundation.org/spec/booksets/LSB-Core-generic/LSB-Core-generic/initscrcomconv.html
#
### BEGIN INIT INFO
# Provides: SGEEXEC
# Required-Start: $network $remote_fs
# Required-Stop: $network $remote_fs
# Default-Start: 3 5
# Default-Stop: 0 1 2 6
# Description: start Grid Engine execd
### END INIT INFO
# chkconfig: 35 96 2
#---------------------------------------------------------------------------
SGE_ROOT=/opt/SGE; export SGE_ROOT
SGE_CELL=default; export SGE_CELL
unset SGE_QMASTER_PORT
unset SGE_EXECD_PORT
count=0
while [ ! -d "$SGE_ROOT" -a $count -le 120 ]; do
count=`expr $count + 1`
sleep 1
done
ARCH=`$SGE_ROOT/util/arch`
# library path setting required only for architectures where RUNPATH is not supported
[ -d $SGE_ROOT/lib/$ARCH ] &&
case $ARCH in
sol*|lx*)
;;
*)
shlib_path_name=`$SGE_ROOT/util/arch -lib`
old_value=`eval echo '$'$shlib_path_name`
if [ x$old_value = x ]; then
eval $shlib_path_name=$SGE_ROOT/lib/$ARCH
else
eval $shlib_path_name=$old_value:$SGE_ROOT/lib/$ARCH
fi
export $shlib_path_name
;;
esac
[ -f /etc/default/sgeexecd ] && . /etc/default/sgeexecd
[ -f /etc/sysconfig/sgeexecd ] && . /etc/sysconfig/sgeexecd
#---------------------------------------------------------------------------
# DetectSMFService - sets service to a mask matching the name
# $1 ... name
#
DetectSMFService()
{
name=$1
service=""
if [ "$noSMF" = true ]; then
return
fi
#Otherwise we try is it's available of the system
if [ -f /lib/svc/share/smf_include.sh ]; then
. /lib/svc/share/smf_include.sh
smf_present
if [ $? -ne 0 ]; then
return
fi
else
return
fi
#Check we have cluster_name file
if [ ! -r "$SGE_ROOT/$SGE_CELL/common/cluster_name" ]; then
echo "Error: could not find $SGE_ROOT/$SGE_CELL/common/cluster_name!"
exit $SMF_EXIT_ERR_CONFIG
fi
#Cluster name must be unique
SGE_CLUSTER_NAME=`cat $SGE_ROOT/$SGE_CELL/common/cluster_name 2>/dev/null`
service="svc:/application/sge/$name:$SGE_CLUSTER_NAME"
#Check if service exists
/usr/bin/svcs $service > /dev/null 2>&1
if [ $? -ne 0 ]; then
#No such service found in the system
service=""
fi
}
#---------------------------------------------------------------------------
# ShutdownSMF
#
ShutdownSMF()
{
if [ -z "$service" ]; then
#We don't have any such SMF service we use normal Shutdown
return
fi
pid=`/usr/bin/svcs -l -p $service | grep "/sge_execd$" | grep -v "^grep" | awk '{print $2}'`
if [ -n "$pid" ]; then
usingSMF="true"
/usr/sbin/svcadm disable -st $service
fi
}
#---------------------------------------------------------------------------
# Shutdown
# Send SIGTERM (default) or signal $3 to process name $1 with pid in file $2
#
Shutdown()
{
name=$1
pidfile=$2
signal="-TERM"
if [ $# = 3 ]; then
signal="-$3"
fi
if [ -f $pidfile ]; then
pid=`cat $pidfile`
$utilbin_dir/checkprog $pid $name > /dev/null
if [ "$?" = 0 ]; then
kill $signal $pid
return $?
fi
fi
}
#---------------------------------------------------------------------------
# GetPathToBinaries
# echo the name of the bin_dir on this system
# The check is fulfilled if we can access the qstat binary
# echo "none" if we can't determine the binary path
GetPathToBinaries()
{
cfgname=$SGE_ROOT/$SGE_CELL/common/bootstrap
base=none
if [ -f $cfgname ]; then
base=`grep binary_path $cfgname | awk '{ print $2 }'`
if [ -f $base/qstat ]; then
:
elif [ -f $SGE_ROOT/util/arch ]; then
arch=`$SGE_ROOT/util/arch`
if [ -f $base/$arch/qstat ]; then
base=$base/$arch
fi
fi
fi
echo $base
}
#---------------------------------------------------------------------------
# GetAdminUser
# echo the name of the admin user on this system
# echo "root" if admin user retrieval fails
GetAdminUser()
{
cfgname=$SGE_ROOT/$SGE_CELL/common/bootstrap
user=none
if [ -f $cfgname ]; then
user=`grep admin_user $cfgname | awk '{ print $2 }'`
fi
if [ `echo $user|tr "[A-Z]" "[a-z]"` = "none" ]; then
user=root
fi
echo $user
}
#---------------------------------------------------------------------------
# GetPathToUtilbin
# echo the path to the binaries in utilbin
# The check is fulfilled if we can access the "gethostname" binary
# echo "none" if we can't determine the binary path
#
GetPathToUtilbin()
{
base=none
if [ -f $SGE_ROOT/util/arch ]; then
utilbindir=$SGE_ROOT/utilbin
arch=`$SGE_ROOT/util/arch`
if [ -f $utilbindir/$arch/gethostname ]; then
base=$utilbindir/$arch
fi
fi
echo $base
}
#---------------------------------------------------------------------------
# GetExecdSpoolDir
# get the execution daemon spooling dir from configuration
GetExecdSpoolDir()
{
EXECD_SPOOL_DIR=`$bin_dir/qconf -sconf $UQHOST 2>/dev/null |
grep execd_spool_dir | awk '{ print $2 }'`
if [ "$EXECD_SPOOL_DIR" = "" ]; then
EXECD_SPOOL_DIR=`$bin_dir/qconf -sconf | grep execd_spool_dir | awk '{ print $2 }'`
fi
echo "$EXECD_SPOOL_DIR"
}
#---------------------------------------------------------------------------
usage()
{
echo "Grid Engine start/stop script. Valid parameters are:"
echo ""
echo " (no parameters): start execution daemon if applicable"
echo " \"start\" ditto."
echo " \"stop\" shutdown local Grid Engine processes and jobs"
echo " \"softstop\" shutdown local Grid Engine processes (no jobs)"
echo " \"restart\" restart local Grid Engine processes (keeping jobs)"
echo " \"status\" check whether execd runnig"
echo " \"-nosmf\" force no SMF"
echo ""
echo "Only one of \"start\", \"stop\", \"restart\", or \"softstop\" is allowed."
echo
echo "Default argument is \"start\" for all components."
echo "Default for \"stop\" is shutting down all components."
echo
exit 1
}
#---------------------------------------------------------------------------
# MAIN Procedure
#
if [ "$#" -gt 2 -o "$1" = "-h" -o "$1" = "help" ]; then
usage
fi
startup=true
execd=true
softstop=false
stop=false
noSMF=false
status=false
for i in $*; do
if [ "$i" = start ]; then
startup=true
elif [ "$i" = stop ]; then
stop=true
startup=false
elif [ "$i" = softstop ]; then
softstop=true
startup=false
elif [ "$i" = -nosmf ]; then
noSMF=true
elif [ "$i" = restart ]; then
startup=true
softstop=true
elif [ "$i" = status ]; then
startup=false
status=true
else
usage
fi
done
bin_dir=`GetPathToBinaries`
if [ "$bin_dir" = "none" ]; then
echo "can't determine path to Grid Engine binaries"
exit 5 # LSB compliant exit status - program is not installed
fi
utilbin_dir=`GetPathToUtilbin`
if [ "$utilbin_dir" = "none" ]; then
echo "can't determine path to Grid Engine utility binaries"
exit 5 # LSB compliant exit status - program is not installed
fi
# HOST is the aliased name (SGE name)
# UQHOST is the local host name (unqualified name)
HOST=`$utilbin_dir/gethostname -aname`
UQHOST=`$utilbin_dir/gethostname -name | cut -f1 -d.`
execd_run_dir=`GetExecdSpoolDir`/$UQHOST
DetectSMFService execd
if [ $stop = true -o $softstop = true ]; then
# Shutdown execution daemon
if [ $execd = true ]; then
execd_spool_dir=$execd_run_dir
usingSMF=false
echo " Shutting down Grid Engine execution daemon"
#We try to use SMF
ShutdownSMF
#Otherwise we use normal shutdown
if [ "$usingSMF" != true ]; then
# Send SIGTERM to execd
Shutdown sge_execd $execd_run_dir/execd.pid
ret=$?
if [ -f /var/lock/subsys/sgeexecd ]; then
uid=`$utilbin_dir/uidgid -uid`
if [ "$uid" = "0" -a "$ret" = "0" ]; then
rm -f /var/lock/subsys/sgeexecd >/dev/null 2>&1
else
echo "Can't shut down execd!"
exit 1
fi
fi
fi
# execution daemon is started on this host!
if [ "$SGE_EXECD_PORT" = "" ]; then
ping_port=`$utilbin_dir/getservbyname -number sge_execd`
else
ping_port=$SGE_EXECD_PORT
fi
# Wait while daemon is up
retries=0
while [ $retries -le 61 ]; do
$bin_dir/qping -info "$HOST" "$ping_port" execd 1 > /dev/null 2>&1
if [ $? -ne 0 ]; then
break
else
sleep 1
retries=`expr $retries + 1`
fi
done
if [ $retries -eq 61 ]; then
echo "Execd did not stop in 61 seconds!"
exit 1
fi
if [ $softstop = false ]; then
# Send SIGTERM to all shepherds (send SIGTSTP which is converted to SIGTERM by shepherd)
for jobid in `ls $execd_spool_dir/active_jobs 2>/dev/null`; do
echo " Shutting down Grid Engine shepherd of job $jobid"
Shutdown sge_shepherd $execd_spool_dir/active_jobs/$jobid/pid TSTP
done
fi
fi
fi
if [ "$startup" = true ]; then
# Ensure the shepherd will run, e.g. not missing hwloc dynamic lib
if ! $bin_dir/sge_shepherd -help >/dev/null 2>&1; then
echo "sge_shepherd won't run -- dynamic library missing?"
exit 5
fi
#We want to use smf
if [ \( -z "$SMF_FMRI" -o "$SMF_FMRI" != "$service" \) -a -n "$service" ]; then
svcadm enable -st $service
exit $?
fi
# execution daemon is started on this host!
if [ "$SGE_EXECD_PORT" = "" ]; then
ping_port=`$utilbin_dir/getservbyname -number sge_execd`
else
ping_port=$SGE_EXECD_PORT
fi
echo " Starting Grid Engine execution daemon"
exec 1>/dev/null 2>&1
$bin_dir/sge_execd
[ $? -eq 0 -a -d /var/lock/subsys ] && touch /var/lock/subsys/sgeexecd
#Don't exit until daemon is up
retries=0
while [ $retries -le 61 ]; do
$bin_dir/qping -info "$HOST" "$ping_port" execd 1 > /dev/null 2>&1
if [ $? -eq 0 ]; then
break
else
sleep 1
retries=`expr $retries + 1`
fi
done
if [ $retries -eq 61 ]; then
echo "Execd did not start in 61 seconds!"
exit 1
fi
exit 0
fi
if [ "$status" = true ]; then
if [ -f $pidfile ]; then
pid=`cat $pidfile`
if $utilbin_dir/checkprog $pid $name > /dev/null; then
echo "execd (pid $pid) is running..."
exit 0
else
echo "execd (pid $pid) is not running..."
exit 1
fi
else
echo "execd is not running..."
exit 1
fi
fi

821
spool/common/sgemaster Executable file
View File

@ -0,0 +1,821 @@
#!/bin/sh
#
#
# SGE startup script
#
#___INFO__MARK_BEGIN__
##########################################################################
#
# The Contents of this file are made available subject to the terms of
# the Sun Industry Standards Source License Version 1.2
#
# Sun Microsystems Inc., March, 2001
#
#
# Sun Industry Standards Source License Version 1.2
# =================================================
# The contents of this file are subject to the Sun Industry Standards
# Source License Version 1.2 (the "License"); You may not use this file
# except in compliance with the License. You may obtain a copy of the
# License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
#
# Software provided under this License is provided on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
# WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
# MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
# See the License for the specific provisions governing your rights and
# obligations concerning the Software.
#
# The Initial Developer of the Original Code is: Sun Microsystems, Inc.
#
# Copyright: 2001 by Sun Microsystems, Inc.
#
# All Rights Reserved.
#
##########################################################################
#___INFO__MARK_END__
#
# This script can be called with the following arguments:
#
# start start qmaster or shadowd
# stop Terminates qmaster if we are on the master machine.
# restart equivalent to stop followed by start
# status check if daemon(s) running (obeys -qmaster, -qmaster)
# -qmaster only act on qmaster
# -shadowd start act on shadwod if found applicable
# -migrate shuts down qmaster if it is running
# on another host and start the daemons on this host
#
# If the file "primary_qmaster" in the $SGE_ROOT/$SGE_CELL/common
# exists and it contains the hostname of the current machine and qmaster
# is running on another host it will be shut down and started on this host
#
# Unix commands which may be used in this script:
# cat cut tr ls grep awk sed basename
#
# This script requires the script $SGE_ROOT/util/arch
# Customization can be placed in /etc/default/sgemaster or
# /etc/sysconfig/sgemaster (according to OS conventions) , which is sourced
# after other setup.
PATH=/bin:/usr/bin:/sbin:/usr/sbin
#---------------------------------------------------------------------------
# The following lines provide the necessary info for adding a startup script
# according to the Linux Standard Base Specification (LSB) which can
# be found at:
#
# http://www.linuxfoundation.org/spec/booksets/LSB-Core-generic/LSB-Core-generic/initscrcomconv.html
#
### BEGIN INIT INFO
# Provides: SGEMASTER
# Required-Start: $network $remote_fs
# Required-Stop: $network $remote_fs
# Default-Start: 3 5
# Default-Stop: 0 1 2 6
# Description: start Grid Engine qmaster, shadowd
### END INIT INFO
# chkconfig: 35 95 3
#---------------------------------------------------------------------------
SGE_ROOT=/opt/SGE; export SGE_ROOT
SGE_CELL=default; export SGE_CELL
unset SGE_QMASTER_PORT
unset SGE_EXECD_PORT
ARCH=`$SGE_ROOT/util/arch`
# library path setting required only for architectures where RUNPATH is not supported
[ -d $SGE_ROOT/lib/$ARCH ] &&
case $ARCH in
sol*|lx*)
;;
*)
shlib_path_name=`$SGE_ROOT/util/arch -lib`
old_value=`eval echo '$'$shlib_path_name`
if [ x$old_value = x ]; then
eval $shlib_path_name=$SGE_ROOT/lib/$ARCH
else
eval $shlib_path_name=$old_value:$SGE_ROOT/lib/$ARCH
fi
export $shlib_path_name
;;
esac
#Include SMF if available
NO_SMF=1
if [ -f /lib/svc/share/smf_include.sh ]; then
. /lib/svc/share/smf_include.sh
smf_present
NO_SMF=$?
fi
[ -f /etc/default/sgemaster ] && . /etc/default/sgemaster
[ -f /etc/sysconfig/sgemaster ] && . /etc/sysconfig/sgemaster
#---------------------------------------------------------------------------
# Shutdown
# Send SIGTERM to process name $1 with pid in file $2
#
Shutdown()
{
name=$1
pidfile=$2
if [ -f $pidfile ]; then
pid=`cat $pidfile`
maxretries=20
i=0
while [ $i -lt $maxretries ]; do
$utilbin_dir/checkprog $pid $name > /dev/null
if [ "$?" = 0 ]; then
#We keep killing Qmaster so that child processes get killed
kill $pid
else
return 0
fi
sleep 2
i=`expr $i + 1`
done
kill -9 $pid
return $?
fi
}
#---------------------------------------------------------------------------
# QmasterSpoolDir
# Return qmasters spool directory
#
QmasterSpoolDir()
{
qma_spool_dir=`grep qmaster_spool_dir \
$SGE_ROOT/$SGE_CELL/common/bootstrap | \
awk '{ print $2 }'`
echo $qma_spool_dir
}
HostCompare()
{
host1=$1
host2=$2
ignore_fqdn=true
if [ -f $SGE_ROOT/$SGE_CELL/common/bootstrap ]; then
ignore_fqdn_txt=`grep ignore_fqdn $SGE_ROOT/$SGE_CELL/common/bootstrap | awk '{print $2}'`
case "$ignore_fqdn_txt" in
[fF][aA][lL][sS][eE])
ignore_fqdn=false
;;
esac
fi
if [ "$ignore_fqdn" = true ]; then
host1=`echo $host1 | cut -f 1 -d .`
host2=`echo $host2 | cut -f 1 -d .`
fi
#translate hostname to lower, because hostname are case insensitive
host1=`echo $host1 | tr "[A-Z]" "[a-z]"`
host2=`echo $host2 | tr "[A-Z]" "[a-z]"`
if [ "$host1" = "$host2" ]; then
echo 0
else
echo 1
fi
}
#---------------------------------------------------------------------------
# CheckIfQmasterHost
# If our hostname given in $1 is the same as in the "act_qmaster" file
# echo "true" else echo "false"
#
CheckIfQmasterHost()
{
host=$1
act_qmaster=`cat $SGE_ROOT/$SGE_CELL/common/act_qmaster`
if [ `HostCompare $host $act_qmaster` -eq 0 ]; then
echo true
else
echo false
fi
}
#---------------------------------------------------------------------------
# CheckIfPrimaryQmasterHost
# Check if our hostname given in $1 is the same as in the
# "primary_qmaster" file
# echo true if there is our hostname else echo false
#
CheckIfPrimaryQmasterHost()
{
host=$1
fname=$SGE_ROOT/$SGE_CELL/common/primary_qmaster
if [ -f $fname ]; then
primary_qmaster=`cat $fname`
if [ `HostCompare $host $primary_qmaster` -eq 0 ]; then
echo true
else
echo false
fi
else
echo false
fi
}
#---------------------------------------------------------------------------
# CheckIfShadowMasterHost
# Check if our hostname given in $1 is contained in the
# "shadow_masters" file
# echo true if there is our hostname else echo false
#
CheckIfShadowMasterHost()
{
host=$1
fname=$SGE_ROOT/$SGE_CELL/common/shadow_masters
if [ -f $fname ]; then
grep -i "^${host}$" $fname 2>&1 > /dev/null
if [ $? = 0 ]; then
shadow_host="true"
else
shadow_host="false"
fi
else
shadow_host="false"
fi
}
#---------------------------------------------------------------------------
# GetPathToBinaries
# echo the name of the bin_dir on this system
# The check is fulfilled if we can access the qstat binary
# echo "none" if we can't determine the binary path
GetPathToBinaries()
{
cfgname=$SGE_ROOT/$SGE_CELL/common/bootstrap
base=none
if [ -f $cfgname ]; then
base=`grep binary_path $cfgname | awk '{ print $2 }'`
if [ -f $base/qstat ]; then
:
elif [ -f $SGE_ROOT/util/arch ]; then
arch=`$SGE_ROOT/util/arch`
if [ -f $base/$arch/qstat ]; then
base=$base/$arch
fi
fi
fi
echo $base
}
#---------------------------------------------------------------------------
# GetAdminUser
# echo the name of the admin user on this system
# echo "root" if admin user retrieval fails
GetAdminUser()
{
cfgname=$SGE_ROOT/$SGE_CELL/common/bootstrap
user=none
if [ -f $cfgname ]; then
user=`grep admin_user $cfgname | awk '{ print $2 }'`
fi
if [ `echo $user|tr "[A-Z]" "[a-z]"` = "none" ]; then
user=root
fi
echo $user
}
#---------------------------------------------------------------------------
# GetPathToUtilbin
# echo the path to the binaries in utilbin
# The check is fulfilled if we can access the "gethostname" binary
# echo "none" if we can't determine the binary path
#
GetPathToUtilbin()
{
base=none
if [ -f $SGE_ROOT/util/arch ]; then
utilbindir=$SGE_ROOT/utilbin
arch=`$SGE_ROOT/util/arch`
if [ -f $utilbindir/$arch/gethostname ]; then
base=$utilbindir/$arch
fi
fi
echo $base
}
#---------------------------------------------------------------------------
# CheckRunningQmaster
# checks, if sge_qmaster is running
# In error case the sge_qmaster didn't start, silently
#
CheckRunningQmaster()
{
masterhost=`cat $SGE_ROOT/$SGE_CELL/common/act_qmaster`
if [ "$SGE_QMASTER_PORT" = "" ]; then
ping_port=`$utilbin_dir/getservbyname -number sge_qmaster`
else
ping_port=$SGE_QMASTER_PORT
fi
start=`$SGE_ROOT/utilbin/$ARCH/now 2>/dev/null`
running=false
retries=0
qping_timeout=false
# qping may have a long timeout in case of network or hostname resolution
# related problems.
# ensure that the test for a running qmaster does not take too long
# by limiting the total time and numbers the connection test is repeated
# we also require that the qmaster created a PID file before returning
while [ $retries -le 30 ]; do
$bin_dir/qping -info $masterhost $ping_port qmaster 1 > /dev/null 2>&1
if [ $? -eq 0 ]; then
running=true
break
else
now=`$SGE_ROOT/utilbin/$ARCH/now 2>/dev/null`
if [ "$now" -lt "$start" ]; then
start=$now
fi
elapsed=`expr $now - $start`
if [ $elapsed -gt 60 ]; then
if [ $retries -eq 0 ]; then
qping_timeout=true
fi
break
fi
sleep 2
masterhost=`cat $SGE_ROOT/$SGE_CELL/common/act_qmaster`
retries=`expr $retries + 1`
fi
done
if [ $running = "true" ]; then
if [ `CheckIfQmasterHost $HOST` = false ]; then
echo "sge_qmaster is running on another host (${masterhost})"
return 1
else
return 0
fi
else
echo
echo "sge_qmaster start problem"
if [ $qping_timeout = true ]; then
echo "Possibly a network or hostname configuration problem (got timeout)."
fi
echo
return 1
fi
}
#---------------------------------------------------------------------------
# DetectSMFService - sets service to a mask matching the name
# $1 ... name
#
DetectSMFService()
{
name=$1
service=""
if [ "$noSMF" = true -o $NO_SMF -ne 0 ]; then
return
fi
#Check we have cluster_name file
if [ ! -r "$SGE_ROOT/$SGE_CELL/common/cluster_name" ]; then
echo "Error: could not find $SGE_ROOT/$SGE_CELL/common/cluster_name!"
exit $SMF_EXIT_ERR_CONFIG
fi
#Cluster name must be unique
SGE_CLUSTER_NAME=`cat $SGE_ROOT/$SGE_CELL/common/cluster_name 2>/dev/null`
service="svc:/application/sge/$name:$SGE_CLUSTER_NAME"
#Check if service exists
/usr/bin/svcs $service > /dev/null 2>&1
if [ $? -ne 0 ]; then
#No such service found in the system
service=""
fi
}
#---------------------------------------------------------------------------
usage()
{
echo "Grid Engine start/stop script. Valid parameters are:"
echo ""
echo " (no parameters): start qmaster and shadow daemon if applicable"
echo " \"start\" ditto."
echo " \"stop\" shut down qmaster and shadow daemon if applicable"
echo " \"restart\" restart (stop and start) daemons"
echo " \"status\" check whether daemon(s) running"
echo " \"-qmaster\" only act on qmaster (if applicable)"
echo " \"-shadowd\" only act on shadowd (if applicable)"
echo " \"-migrate\" shutdown qmaster if it's running on another"
echo " host and restart it on this host"
echo " Migration only works if this host is an admin host"
echo " \"-nosmf\" force no SMF"
echo ""
echo "Only one of \"start\", \"stop\", or \"restart\" is allowed."
echo "Only one of the parameters beginning with \"-\" is allowed. Does not "
echo "apply to -nosmf."
echo
echo "Default argument is \"start\" for all components."
echo "Default for \"stop\" is shutting down all components."
echo
exit 1
}
#---------------------------------------------------------------------------
# MAIN Procedure
#
if [ "$#" -gt 3 -o "$1" = "-h" -o "$1" = "help" ]; then
usage
fi
startup=true
qmaster=true
shadowd=true
qstd=false
migrate_qmaster=false
noSMF=false
stop=false
status=false
for i in $*; do
if [ "$i" = start ]; then
startup=true
elif [ "$i" = stop ]; then
startup=false
stop=true
elif [ "$i" = restart ]; then
stop=true
startup=true
elif [ "$i" = status ]; then
startup=false
status=true
elif [ "$i" = -qmaster ]; then
qmaster=true
shadowd=false
elif [ "$i" = -shadowd ]; then
qmaster=false
shadowd=true
elif [ "$i" = -migrate ]; then
migrate_qmaster=true
qmaster=true
shadowd=false
elif [ "$i" = -nosmf ]; then
noSMF=true
else
usage
fi
done
bin_dir=`GetPathToBinaries`
if [ "$bin_dir" = "none" ]; then
echo "can't determine path to Grid Engine binaries"
exit 5 # LSB compliant exit status - program is not installed
fi
utilbin_dir=`GetPathToUtilbin`
if [ "$utilbin_dir" = "none" ]; then
echo "can't determine path to Grid Engine utility binaries"
exit 5 # LSB compliant exit status - program is not installed
fi
qmaster_spool_dir=`QmasterSpoolDir`
qma_run_dir=$qmaster_spool_dir
HOST=`$utilbin_dir/gethostname -aname`
UQHOST=`$utilbin_dir/gethostname -aname | cut -f1 -d.`
CheckIfShadowMasterHost $HOST
if [ "$stop" = true ]; then
if [ $shadowd = true -a $shadow_host = true ]; then
echo " Shutting down Grid Engine shadowd"
DetectSMFService shadowd
if [ \( -z "$SMF_FMRI" -o "$SMF_FMRI" != "$service" \) -a -n "$service" ]; then
svcadm disable -st $service
else
# Send SIGTERM to shadowd
if [ -f $qma_run_dir/shadowd_$UQHOST.pid ]; then
Shutdown sge_shadowd $qma_run_dir/shadowd_$UQHOST.pid
elif [ -f $qma_run_dir/shadowd_$HOST.pid ]; then
Shutdown sge_shadowd $qma_run_dir/shadowd_$HOST.pid
fi
fi
fi
if [ $qmaster = true ]; then
if [ `CheckIfQmasterHost $HOST` = true ]; then
echo " Shutting down Grid Engine qmaster"
DetectSMFService qmaster
if [ \( -z "$SMF_FMRI" -o "$SMF_FMRI" != "$service" \) -a -n "$service" ]; then
svcadm disable -st $service
exit $?
else
# Send SIGTERM to qmaster
Shutdown sge_qmaster $qma_run_dir/qmaster.pid
ret=$?
if [ -f /var/lock/subsys/sgemaster ]; then
uid=`$utilbin_dir/uidgid -uid`
if [ "$uid" = "0" -a "$ret" = "0" ]; then
rm -f /var/lock/subsys/sgemaster >/dev/null 2>&1
else
echo "Can't shut down qmaster!"
exit 1
fi
fi
fi
fi
fi
fi
if [ "$startup" = true ]; then
# qmaster_host=true if qmaster was running on this host the last time
# this host is an execution host
qmaster_host=`CheckIfQmasterHost $HOST`
primary_qmaster_host=`CheckIfPrimaryQmasterHost $HOST`
if [ $qmaster = true -a $qmaster_host = true -a $migrate_qmaster = true ]; then
echo " qmaster running on this host. Will not migrate qmaster."
exit 1
fi
if [ $qmaster = true -a $qmaster_host = false -a \
\( $primary_qmaster_host = true -o $migrate_qmaster = true \) ]; then
actual_qmaster_host=`cat $SGE_ROOT/$SGE_CELL/common/act_qmaster`
echo " Shutting down Grid Engine qmaster on host \"$actual_qmaster_host\" ..."
qconf_output=`$bin_dir/qconf -ks 2>&1 | grep "denied"`
if [ "$qconf_output" != "" ]; then
echo " denied: host \"$HOST\" is not an admin host."
exit 1
fi
$bin_dir/qconf -km > /dev/null 2>&1
qping_count=0
qping_retries=10
qping_exit_state=0
if [ "$SGE_QMASTER_PORT" = "" ]; then
ping_port=`$utilbin_dir/getservbyname -number sge_qmaster`
else
ping_port=$SGE_QMASTER_PORT
fi
while [ $qping_count -lt $qping_retries ]; do
$bin_dir/qping -info $actual_qmaster_host $ping_port qmaster 1 > /dev/null 2>&1
qping_exit_state=$?
if [ $qping_exit_state -ne 0 ]; then
break
fi
sleep 3
qping_count=`expr $qping_count + 1`
done
if [ $qping_exit_state -eq 0 ]; then
# qmaster is still running
echo " qmaster on host $actual_qmaster_host still alive. Cannot migrate qmaster."
exit 1
fi
lock_file_read_retries=10
lock_file_read_count=0
lock_file_found=0
while [ $lock_file_read_count -lt $lock_file_read_retries ]; do
if [ -f $qmaster_spool_dir/lock ]; then
lock_file_found=1
break
fi
sleep 3
lock_file_read_count=`expr $lock_file_read_count + 1`
done
if [ $lock_file_found -eq 0 ]; then
# old qmaster did not write lock file
echo " old qmaster did not write lock file. Cannot migrate qmaster."
echo " Please verify that qmaster on host $actual_qmaster_host is down"
echo " and make sure that the lock file in qmaster spool directory is"
echo " read-able."
exit 1
fi
qmaster_host=true
#If we use SMF, we need to notify the SMF service
DetectSMFService qmaster
if [ -n "$service" ]; then
svccfg -s $service setenv MIGRATE_SMF_STEP true
if [ $? -ne 0 ]; then
echo "Migration failed!"
echo "It seems you do not have permission to modify the $service SMF service."
exit 1
else
svcadm refresh $service
fi
fi
fi
exit_val=0
#Need to check if this is a SMF migration
DetectSMFService qmaster
if [ -n "$SMF_FMRI" -a "$SMF_FMRI" = "$service" -a "$MIGRATE_SMF_STEP" = true ]; then
qmaster_host=true
fi
if [ $qmaster = true -a $qmaster_host = false ]; then
echo
echo "sge_qmaster didn't start!"
echo "This is not a qmaster host!"
echo "Check your ${SGE_ROOT}/${SGE_CELL}/common/act_qmaster file!"
echo
if [ $shadowd = false -o ! -f $SGE_ROOT/$SGE_CELL/common/shadow_masters ]; then
exit 1
fi
elif [ $qmaster = true ]; then
already_running=false
#Check if pid file exists
if [ -s "$qma_run_dir/qmaster.pid" ]; then
daemon_pid=`cat "$qma_run_dir/qmaster.pid"`
$utilbin_dir/checkprog $daemon_pid sge_qmaster > /dev/null
if [ $? -eq 0 ]; then
already_running=true
fi
fi
# We can't detect pid file race, but we'll catch it most of the time
if [ "$already_running" = "true" ]; then
echo
echo "sge_qmaster with PID $daemon_pid is already running"
echo
else
#We want to use smf
if [ \( -z "$SMF_FMRI" -o "$SMF_FMRI" != "$service" \) -a -n "$service" ]; then
echo " Starting Grid Engine qmaster"
svcadm enable -st $service
exit_val=$?
#For -migrate with SMF qmaster_host is not yet set for SMF start (2nd)
elif [ $qmaster_host = true -o \( -n "$SMF_FMRI" -a "$SMF_FMRI" = "$service" \) ]; then
echo " Starting Grid Engine qmaster"
$bin_dir/sge_qmaster
[ $? -eq 0 -a -d /var/lock/subsys ] && touch /var/lock/subsys/sgemaster >/dev/null 2>&1
CheckRunningQmaster
exit_val=$?
if [ $exit_val -eq 0 -a -n "$SMF_FMRI" -a "$SMF_FMRI" = "$service" -a "$MIGRATE_SMF_STEP" = true ]; then
svccfg -s $service unsetenv MIGRATE_SMF_STEP
if [ $? -ne 0 ]; then
echo "Warning: SMF migration cleanup step failed!"
echo "It seems you do not have permission to modify the $service SMF service."
echo
echo "Run following commands manually as root or appropriate user:"
echo "svccfg -s $service unsetenv MIGRATE_SMF_STEP"
echo "svcadm refresh $service"
else
svcadm refresh $service
fi
fi
fi
if [ $exit_val -ne 0 ]; then
echo "sge_qmaster didn't start!"
fi
fi
fi
if [ $shadowd = true -a $shadow_host = false ]; then
#Display the message only if we have installed any shadowds
if [ -f $SGE_ROOT/$SGE_CELL/common/shadow_masters ]; then
echo
echo "sge_shadowd didn't start!"
echo "This is not a shadow master host!"
echo "Check your ${SGE_ROOT}/${SGE_CELL}/common/shadow_masters file!"
echo
elif [ $qmaster = false ]; then
#Shadow masters file does not exist and we try to start only shadowd
echo
echo "sge_shadowd didn't start!"
echo "File ${SGE_ROOT}/${SGE_CELL}/common/shadow_masters does not exist!"
echo "No shadowd installed?"
echo
fi
if [ $qmaster_host = false -o $qmaster = false ]; then
exit 1
fi
elif [ $shadowd = true ]; then
start_shadowd=true
UQpidfile=$qma_run_dir/shadowd_$UQHOST.pid
pidfile=$qma_run_dir/shadowd_$HOST.pid
if [ -f $pidfile ]; then
pid=`cat $pidfile`
$utilbin_dir/checkprog $pid sge_shadowd > /dev/null
if [ "$?" = 0 ]; then
start_shadowd=false
fi
fi
if [ -f $UQpidfile ]; then
pid=`cat $UQpidfile`
$utilbin_dir/checkprog $pid sge_shadowd > /dev/null
if [ "$?" = 0 ]; then
start_shadowd=false
fi
fi
if [ $start_shadowd = true ]; then
DetectSMFService shadowd
echo " Starting Grid Engine shadowd"
#We want to use smf
if [ \( -z "$SMF_FMRI" -o "$SMF_FMRI" != "$service" \) -a -n "$service" ]; then
svcadm enable -st $service
res=$?
else
$bin_dir/sge_shadowd
res=$?
fi
if [ $res -ne 0 ]; then
echo " sge_shadowd didn't start correctly!"
exit $res
fi
else
echo " found running sge_shadowd - not starting"
fi
fi
if [ $exit_val -ne 0 ]; then
exit $exit_val
fi
fi
master_not=0
shadow_not=0
if [ "$status" = true ]; then
if [ "$qmaster" = true ]; then
if [ -s "$qma_run_dir/qmaster.pid" ]; then
pid=`cat "$qma_run_dir/qmaster.pid"`
if $utilbin_dir/checkprog $pid sge_qmaster > /dev/null; then
echo "qmaster (pid $pid) is running..."
else
echo "qmaster (pid $pid) is not running..."
master_not=1
fi
else
echo "qmaster is not running..."
master_not=1
fi
fi
if [ "$shadowd" = true ]; then
UQpidfile=$qma_run_dir/shadowd_$UQHOST.pid
pidfile=$qma_run_dir/shadowd_$HOST.pid
pid=``
shadow_running=0
if [ -s "$UQpidfile" ]; then
pid=`cat $UQpidfile`
if $utilbin_dir/checkprog $pid sge_shadowd > /dev/null; then
shadow_running=1
fi
fi
if [ -s "$pidfile" ]; then
pid=`cat $pidfile`
if $utilbin_dir/checkprog $pid sge_shadowd > /dev/null; then
shadow_running=1
fi
fi
if [ -s "$pidfile" ] || [ -s "$UQpidfile" ]; then
if [ $shadow_running = 1 ]; then
echo "shadowd (pid $pid) is running..."
else
echo "shadowd (pid $pid) is not running..."
shadow_not=1
fi
else
echo "shadowd (pid $pid) is not running..."
shadow_not=1
fi
fi
# fixme: check LSB values
[ $master_not$shadow_not -gt 0 ] && exit 1 || exit 0
fi

View File

@ -0,0 +1,5 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
hostname gaia

View File

@ -0,0 +1,5 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
hostname gridengine

View File

@ -0,0 +1,5 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
hostname minos01

View File

@ -0,0 +1,5 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
hostname minos02

View File

@ -0,0 +1,5 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
hostname minos11

View File

@ -0,0 +1,5 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
hostname minos12

View File

@ -0,0 +1,5 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
hostname minos13

View File

@ -0,0 +1,5 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
hostname minos14

View File

@ -0,0 +1,5 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
hostname minos15

View File

@ -0,0 +1,5 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
hostname minos16

View File

@ -0,0 +1,5 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
hostname minos27

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name abaqus
shortcut abq
type INT
relop <=
requestable YES
consumable JOB
default 0
urgency 1000

12
spool/qmaster/centry/arch Normal file
View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name arch
shortcut a
type RESTRING
relop ==
requestable YES
consumable NO
default NONE
urgency 0

12
spool/qmaster/centry/cae Normal file
View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name cae
shortcut cae
type INT
relop <=
requestable YES
consumable JOB
default 0
urgency 10000

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name calendar
shortcut c
type RESTRING
relop ==
requestable YES
consumable NO
default NONE
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name comsol
shortcut comsol
type INT
relop <=
requestable YES
consumable JOB
default 0
urgency 1000

12
spool/qmaster/centry/cpu Normal file
View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name cpu
shortcut cpu
type DOUBLE
relop >=
requestable YES
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name display_win_gui
shortcut dwg
type BOOL
relop ==
requestable YES
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name exclusive
shortcut excl
type BOOL
relop EXCL
requestable YES
consumable JOB
default 0
urgency 1000

12
spool/qmaster/centry/gpu Normal file
View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name gpu
shortcut gpu
type INT
relop <=
requestable YES
consumable JOB
default 0
urgency 100000

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name h_core
shortcut h_core
type MEMORY
relop <=
requestable YES
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name h_cpu
shortcut h_cpu
type TIME
relop <=
requestable YES
consumable NO
default 0:0:0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name h_data
shortcut h_data
type MEMORY
relop <=
requestable YES
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name h_fsize
shortcut h_fsize
type MEMORY
relop <=
requestable YES
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name h_rss
shortcut h_rss
type MEMORY
relop <=
requestable YES
consumable NO
default 0
urgency 0

12
spool/qmaster/centry/h_rt Normal file
View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name h_rt
shortcut h_rt
type TIME
relop <=
requestable YES
consumable NO
default 0:0:0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name h_stack
shortcut h_stack
type MEMORY
relop <=
requestable YES
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name h_vmem
shortcut h_vmem
type MEMORY
relop <=
requestable YES
consumable YES
default 0
urgency 1000

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name hostname
shortcut h
type HOST
relop ==
requestable YES
consumable NO
default NONE
urgency -10

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name hyper
shortcut hyper
type INT
relop <=
requestable YES
consumable JOB
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name identification_toolbox
shortcut ident_tbx
type INT
relop <=
requestable YES
consumable JOB
default 0
urgency 100

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name ifort
shortcut ifort
type INT
relop <=
requestable YES
consumable JOB
default 0
urgency 1000

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name iidle
shortcut iidle
type INT
relop <=
requestable YES
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name infiniband
shortcut ib
type BOOL
relop ==
requestable YES
consumable NO
default 0
urgency 20000

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name load_avg
shortcut la
type DOUBLE
relop >=
requestable NO
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name load_long
shortcut ll
type DOUBLE
relop >=
requestable NO
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name load_medium
shortcut lm
type DOUBLE
relop >=
requestable NO
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name load_short
shortcut ls
type DOUBLE
relop >=
requestable NO
consumable NO
default 0
urgency 0

12
spool/qmaster/centry/low Normal file
View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name low
shortcut lo
type BOOL
relop ==
requestable FORCED
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name m_core
shortcut core
type INT
relop <=
requestable YES
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name m_socket
shortcut socket
type INT
relop <=
requestable YES
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name m_thread
shortcut thread
type INT
relop <=
requestable YES
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name m_topology
shortcut topo
type RESTRING
relop ==
requestable YES
consumable NO
default NONE
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name m_topology_inuse
shortcut utopo
type RESTRING
relop ==
requestable YES
consumable NO
default NONE
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name matlab
shortcut matlab
type INT
relop <=
requestable YES
consumable JOB
default 0
urgency 1000

12
spool/qmaster/centry/mcc Normal file
View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name mcc
shortcut mcc
type INT
relop <=
requestable YES
consumable JOB
default 0
urgency 1000

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name mem_free
shortcut mf
type MEMORY
relop <=
requestable YES
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name mem_total
shortcut mt
type MEMORY
relop <=
requestable YES
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name mem_used
shortcut mu
type MEMORY
relop >=
requestable YES
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name memory
shortcut mem
type MEMORY
relop <=
requestable YES
consumable YES
default 512M
urgency 10000

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name min_cpu_interval
shortcut mci
type TIME
relop <=
requestable NO
consumable NO
default 0:0:0
urgency 0

12
spool/qmaster/centry/mips Normal file
View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name mips
shortcut mips
type INT
relop <=
requestable YES
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name np_load_avg
shortcut nla
type DOUBLE
relop >=
requestable NO
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name np_load_long
shortcut nll
type DOUBLE
relop >=
requestable NO
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name np_load_medium
shortcut nlm
type DOUBLE
relop >=
requestable NO
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name np_load_short
shortcut nls
type DOUBLE
relop >=
requestable NO
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name num_proc
shortcut p
type INT
relop ==
requestable YES
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name optimization_toolbox
shortcut opt_tbx
type INT
relop <=
requestable YES
consumable JOB
default 0
urgency 100

12
spool/qmaster/centry/os Normal file
View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name os
shortcut os
type RESTRING
relop ==
requestable YES
consumable NO
default NONE
urgency 100

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name parallel_toolbox
shortcut par_tbx
type INT
relop <=
requestable YES
consumable JOB
default 0
urgency 100

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name qname
shortcut q
type RESTRING
relop ==
requestable YES
consumable NO
default NONE
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name rerun
shortcut re
type BOOL
relop ==
requestable NO
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name s_core
shortcut s_core
type MEMORY
relop <=
requestable YES
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name s_cpu
shortcut s_cpu
type TIME
relop <=
requestable YES
consumable NO
default 0:0:0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name s_data
shortcut s_data
type MEMORY
relop <=
requestable YES
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name s_fsize
shortcut s_fsize
type MEMORY
relop <=
requestable YES
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name s_rss
shortcut s_rss
type MEMORY
relop <=
requestable YES
consumable NO
default 0
urgency 0

12
spool/qmaster/centry/s_rt Normal file
View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name s_rt
shortcut s_rt
type TIME
relop <=
requestable YES
consumable NO
default 0:0:0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name s_stack
shortcut s_stack
type MEMORY
relop <=
requestable YES
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name s_vmem
shortcut s_vmem
type MEMORY
relop <=
requestable YES
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name scratch_free
shortcut scf
type MEMORY
relop <=
requestable YES
consumable NO
default 0
urgency 1000

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name scratch_total
shortcut sct
type MEMORY
relop <=
requestable YES
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name scratch_used
shortcut scu
type MEMORY
relop >=
requestable NO
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name seq_no
shortcut seq
type INT
relop ==
requestable NO
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name signal_toolbox
shortcut sig_tbx
type INT
relop <=
requestable YES
consumable JOB
default 0
urgency 100

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name slots
shortcut s
type INT
relop <=
requestable YES
consumable YES
default 1
urgency 500000

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name swap_free
shortcut sf
type MEMORY
relop <=
requestable YES
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name swap_rate
shortcut sr
type MEMORY
relop >=
requestable YES
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name swap_rsvd
shortcut srsv
type MEMORY
relop >=
requestable YES
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name swap_total
shortcut st
type MEMORY
relop <=
requestable YES
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name swap_used
shortcut su
type MEMORY
relop >=
requestable YES
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name symbolic_toolbox
shortcut symb_tbx
type INT
relop <=
requestable YES
consumable JOB
default 0
urgency 100

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name tmpdir
shortcut tmp
type RESTRING
relop ==
requestable NO
consumable NO
default NONE
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name trelis
shortcut trelis
type INT
relop <=
requestable YES
consumable JOB
default 0
urgency 1000

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name virtual_free
shortcut vf
type MEMORY
relop <=
requestable YES
consumable NO
default 0
urgency 1000

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name virtual_total
shortcut vt
type MEMORY
relop <=
requestable YES
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,12 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
name virtual_used
shortcut vu
type MEMORY
relop >=
requestable YES
consumable NO
default 0
urgency 0

View File

@ -0,0 +1,54 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
qname low.q
hostlist @allhosts
seq_no 199,[@core_48=160],[@core_80=170],[minos15.geophysik.ruhr-uni-bochum.de=180],[gaia.geophysik.ruhr-uni-bochum.de=181]
load_thresholds np_load_avg=1.05
suspend_thresholds np_load_avg=1.1
nsuspend 1
suspend_interval 00:05:00
priority 10
min_cpu_interval 00:05:00
processors 1,[@core_48=48],[@core_80=80],[minos15.geophysik.ruhr-uni-bochum.de=128]
qtype BATCH
ckpt_list NONE
pe_list mpi mpi-fu mpi-pe mpi-rr smp
rerun TRUE
slots 1,[@core_80=80],[@core_48=48],[minos15.geophysik.ruhr-uni-bochum.de=128]
tmpdir /scratch,[minos15.geophysik.ruhr-uni-bochum.de=/tmp]
shell /bin/bash,[minos15.geophysik.ruhr-uni-bochum.de=/usr/bin/bash]
prolog root@/data/gridengine/local/bin/prolog
epilog root@/data/gridengine/local/bin/epilog
shell_start_mode posix_compliant
starter_method NONE
suspend_method /data/gridengine/local/bin/suspend.sh $job_pid $job_id $job_owner
resume_method NONE
terminate_method /data/gridengine/local/bin/term.sh $job_pid $job_id $job_owner 90
notify 00:00:60
owner_list NONE
user_lists NONE
xuser_lists NONE
subordinate_list NONE
complex_values low=1
projects NONE
xprojects NONE
calendar NONE
initial_state default
s_rt INFINITY
h_rt INFINITY
s_cpu INFINITY
h_cpu INFINITY
s_fsize INFINITY
h_fsize INFINITY
s_data INFINITY
h_data INFINITY
s_stack INFINITY
h_stack INFINITY
s_core INFINITY
h_core 0
s_rss INFINITY
h_rss INFINITY
s_vmem INFINITY
h_vmem 3G,[@mem_96G=94G],[@mem_256G=250G],[minos15.geophysik.ruhr-uni-bochum.de=500G],[gaia.geophysik.ruhr-uni-bochum.de=1000G]

View File

@ -0,0 +1,54 @@
# Version: 8.1.9
#
# DO NOT MODIFY THIS FILE MANUALLY!
#
qname normal.q
hostlist @allhosts
seq_no 99,[@core_80=110],[minos15.geophysik.ruhr-uni-bochum.de=120],[gaia.geophysik.ruhr-uni-bochum.de=121]
load_thresholds np_load_avg=1.25
suspend_thresholds NONE
nsuspend 1
suspend_interval 00:05:00
priority 0
min_cpu_interval 00:05:00
processors 1,[@core_48=48],[@core_80=80],[minos15.geophysik.ruhr-uni-bochum.de=128]
qtype BATCH INTERACTIVE
ckpt_list NONE
pe_list mpi smp
rerun FALSE
slots 4
tmpdir /scratch
shell /bin/bash,[minos15.geophysik.ruhr-uni-bochum.de=/usr/bin/bash]
prolog root@/data/gridengine/local/bin/prolog
epilog root@/data/gridengine/local/bin/epilog
shell_start_mode posix_compliant
starter_method NONE
suspend_method /data/gridengine/local/bin/suspend.sh $job_pid $job_id $job_owner
resume_method NONE
terminate_method /data/gridengine/local/bin/term.sh $job_pid $job_id $job_owner 90
notify 00:00:60
owner_list NONE
user_lists NONE
xuser_lists NONE
subordinate_list NONE
complex_values NONE
projects NONE
xprojects NONE
calendar NONE
initial_state default
s_rt INFINITY
h_rt 36000
s_cpu INFINITY
h_cpu INFINITY
s_fsize INFINITY
h_fsize INFINITY
s_data INFINITY
h_data INFINITY
s_stack INFINITY
h_stack INFINITY
s_core INFINITY
h_core 0
s_rss INFINITY
h_rss INFINITY
s_vmem INFINITY
h_vmem 3G,[@mem_96G=94G],[@mem_256G=250G],[minos15.geophysik.ruhr-uni-bochum.de=500G],[gaia.geophysik.ruhr-uni-bochum.de=1000G]

Some files were not shown because too many files have changed in this diff Show More